Bug 27803 - publicationyear / copyrightdate not included in Holds to Pull
Summary: publicationyear / copyrightdate not included in Holds to Pull
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Aleisha Amohia
QA Contact: Joonas Kylmälä
URL:
Keywords:
Depends on: 24488
Blocks:
  Show dependency treegraph
 
Reported: 2021-02-26 10:19 UTC by Joonas Kylmälä
Modified: 2021-03-04 12:17 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27803: Ensure publicationyear or copyrightdate shows in Holds to Pull (2.81 KB, patch)
2021-03-02 01:46 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 27803: Ensure publicationyear or copyrightdate shows in Holds to Pull (2.86 KB, patch)
2021-03-02 08:16 UTC, Peter Vashchuk
Details | Diff | Splinter Review
Bug 27803: Ensure publicationyear or copyrightdate shows in Holds to Pull (3.01 KB, patch)
2021-03-02 08:50 UTC, Joonas Kylmälä
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joonas Kylmälä 2021-02-26 10:19:14 UTC
The rewrite of Holds to Pull page (circ/pendingreserves.pl) in Bug 24488 missed the copyrightdate / publicationyear data. That should be added back again and we should also verify whether other fields are missing as well. The commit removing the publication year is 2285c2d6575 (Bug 24488: Show correct first patron details on Holds to pull).
Comment 1 Aleisha Amohia 2021-03-02 01:46:58 UTC
Created attachment 117468 [details] [review]
Bug 27803: Ensure publicationyear or copyrightdate shows in Holds to Pull

If marcflavour is set to MARC21, use biblio.copyrightdate. If
marcflavour is set to something other than MARC21, use
biblioitem.publicationyear. This is to match previous behaviour of this
feature.

To test:
1) Set your marcflavour system preferenece to MARC21.
2) Go to Administration -> Koha to MARC mapping to confirm what MARC tag
maps to biblio.copyrightdate.
3) In your terminal, run misc/batchRebuildBiblioTables.pl from the shell
to confirm the mapping is locked.
4) Edit a biblio, fill in whichever field is mapped to biblio.copyrightdate
and Save.
5) Place a hold on this biblio. (It must have an available item to allow
placing holds.)
6) Go to Circulation -> Holds to Pull.
7) Confirm your hold shows in the table with the copyrightdate.
8) Set your marcflavour system preference to something other thatn
MARC21.
9) Go to Administration -> Koha to MARC mapping to confirm what MARC tag
maps to biblioitem.publicationyear.
10) In your terminal, run misc/batchRebuildBiblioTables.pl from the shell
to confirm the mapping is locked.
11) Edit a biblio, fill in whichever field is mapped to biblioitem.publicationyear
and Save.
12) Place a hold on this biblio. (It must have an available item to allow
placing holds.)
13) Go to Circulation -> Holds to Pull.
14) Confirm your hold shows in the table with the publicationyear.

Sponsored-by: Catalyst IT
Comment 2 Peter Vashchuk 2021-03-02 08:16:20 UTC
Created attachment 117473 [details] [review]
Bug 27803: Ensure publicationyear or copyrightdate shows in Holds to Pull

If marcflavour is set to MARC21, use biblio.copyrightdate. If
marcflavour is set to something other than MARC21, use
biblioitem.publicationyear. This is to match previous behaviour of this
feature.

To test:
1) Set your marcflavour system preferenece to MARC21.
2) Go to Administration -> Koha to MARC mapping to confirm what MARC tag
maps to biblio.copyrightdate.
3) In your terminal, run misc/batchRebuildBiblioTables.pl from the shell
to confirm the mapping is locked.
4) Edit a biblio, fill in whichever field is mapped to biblio.copyrightdate
and Save.
5) Place a hold on this biblio. (It must have an available item to allow
placing holds.)
6) Go to Circulation -> Holds to Pull.
7) Confirm your hold shows in the table with the copyrightdate.
8) Set your marcflavour system preference to something other thatn
MARC21.
9) Go to Administration -> Koha to MARC mapping to confirm what MARC tag
maps to biblioitem.publicationyear.
10) In your terminal, run misc/batchRebuildBiblioTables.pl from the shell
to confirm the mapping is locked.
11) Edit a biblio, fill in whichever field is mapped to biblioitem.publicationyear
and Save.
12) Place a hold on this biblio. (It must have an available item to allow
placing holds.)
13) Go to Circulation -> Holds to Pull.
14) Confirm your hold shows in the table with the publicationyear.

Sponsored-by: Catalyst IT
Signed-off-by: Petro Vashchuk <stalkernoid@gmail.com>
Comment 3 Joonas Kylmälä 2021-03-02 08:50:27 UTC
Created attachment 117475 [details] [review]
Bug 27803: Ensure publicationyear or copyrightdate shows in Holds to Pull

If marcflavour is set to MARC21, use biblio.copyrightdate. If
marcflavour is set to something other than MARC21, use
biblioitem.publicationyear. This is to match previous behaviour of this
feature.

To test:
1) Set your marcflavour system preferenece to MARC21.
2) Go to Administration -> Koha to MARC mapping to confirm what MARC tag
maps to biblio.copyrightdate.
3) In your terminal, run misc/batchRebuildBiblioTables.pl from the shell
to confirm the mapping is locked.
4) Edit a biblio, fill in whichever field is mapped to biblio.copyrightdate
and Save.
5) Place a hold on this biblio. (It must have an available item to allow
placing holds.)
6) Go to Circulation -> Holds to Pull.
7) Confirm your hold shows in the table with the copyrightdate.
8) Set your marcflavour system preference to something other thatn
MARC21.
9) Go to Administration -> Koha to MARC mapping to confirm what MARC tag
maps to biblioitem.publicationyear.
10) In your terminal, run misc/batchRebuildBiblioTables.pl from the shell
to confirm the mapping is locked.
11) Edit a biblio, fill in whichever field is mapped to biblioitem.publicationyear
and Save.
12) Place a hold on this biblio. (It must have an available item to allow
placing holds.)
13) Go to Circulation -> Holds to Pull.
14) Confirm your hold shows in the table with the publicationyear.

Sponsored-by: Catalyst IT
Signed-off-by: Petro Vashchuk <stalkernoid@gmail.com>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 4 Joonas Kylmälä 2021-03-02 08:52:53 UTC
In the commit message it said to modify biblioitem.publicationyear but at least in my koha the field is biblioitems.publicationyear, probably just a typo. Had to also restart plack after changing marcflavour to get the publicationyear to show in holds to pull. Passing QA.
Comment 5 Jonathan Druart 2021-03-02 09:39:53 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-03-04 12:17:03 UTC
Depends on Bug 24488 not in 20.11.x